Skip to main content
POST
/
accounts
/
{account_id}
/
repo_syncs
/
{id}
/
export
cURL
curl "https://api.phrase.com/v2/accounts/ab12cd34/repo_syncs/45ef6789/export" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"pr_branch":"my-feature-branch", "branch":"my-strings-branch"}'
phrase repo_syncs export \
--id <repo_sync_id> \
--data '{"pr_branch":"my-feature-branch", "branch":"my-strings-branch"}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/export"

payload = {
    "pr_branch": "my-feature-branch",
    "branch": "my-strings-branch"
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({pr_branch: 'my-feature-branch', branch: 'my-strings-branch'})
};

fetch('https://api.phrase.com/v2/accounts/{account_id}/repo_syncs/{id}/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "type": "import",
  "created_at": "2015-01-28T09:52:53Z",
  "status": "failure",
  "auto_import": true,
  "errors": [
    "Error message 1",
    "Error message 2"
  ]
}
{
  "message": "Validation Failed",
  "errors": [
    {
      "resource": "Resource",
      "field": "name",
      "message": "can't be blank"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

id
string
required

ID

Body

application/json
pr_branch
string

Source branch to open a pull request from

Example:

"my-feature-branch"

branch
string

Strings branch to export from

Example:

"my-strings-branch"

Response

OK

id
string
type
enum<string>
Available options:
import,
export
created_at
string<date-time>
status
enum<string>
Available options:
running,
success,
failure
pull_request_url
string

URL of the pull request created on export

auto_import
boolean

Whether the import was triggered by the repo push event

errors
string[]

List of error messages, in case of failure